{
  description = "FabApp";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/release-22.11";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs@{ flake-parts, nixpkgs, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      flake = {
        # Put your original flake attributes here.
      };

      systems = [ "x86_64-linux" ];

      # https://flake.parts/module-arguments.html#persystem-module-parameters
      perSystem = { pkgs, system, ... }: {
        _module.args.pkgs = import nixpkgs {
          inherit system;
          config.allowUnfree = true;
        };

        devShells.default = with pkgs;
          let
            vscodeCustom = pkgs.vscode-with-extensions.override {
              vscodeExtensions = with pkgs.vscode-extensions;
                [ dart-code.flutter ];
            };
          in mkShell { buildInputs = [ just flutter vscodeCustom ]; };
      };
    };
}
